package com.hys.app.pay.wx;

import com.github.binarywang.wxpay.config.WxPayConfig;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "wxpay")
@Data
public class WxPayConfigMy {
    private String appId;
    private String mchId;
    private String mchKey;
    private String apiV3Key;
    private String keyPath;

    @Bean
    public WxPayConfig wxPayConfig() {
        WxPayConfig payConfig = new WxPayConfig();
        payConfig.setAppId(appId); // 服务商AppID
        payConfig.setMchId(mchId); // 服务商商户号
        payConfig.setMchKey(mchKey); // 服务商API密钥
        payConfig.setKeyPath("path/to/your/cert.p12"); // 证书路径
        payConfig.setApiV3Key(apiV3Key); // 服务商API v3密钥
        return payConfig;
    }
}