package com.hys.app.pay.wx;

import com.github.binarywang.wxpay.bean.applyment.WxPayApplymentCreateResult;
import com.github.binarywang.wxpay.bean.request.WxPayUnifiedOrderRequest;
import com.github.binarywang.wxpay.bean.result.WxPayUnifiedOrderResult;
import com.github.binarywang.wxpay.exception.WxPayException;
import com.github.binarywang.wxpay.service.WxPayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class WxPayServiceMy {

    @Autowired
    private WxPayService wxPayService;

    public WxPayUnifiedOrderResult createOrder(String orderId, String description, int totalFee, String ip, String notifyUrl) throws Exception {
        WxPayUnifiedOrderRequest request = new WxPayUnifiedOrderRequest();
        request.setOutTradeNo(orderId);
        request.setBody(description);
        request.setTotalFee(totalFee);
        request.setSpbillCreateIp(ip);
        request.setNotifyUrl(notifyUrl);
        request.setTradeType("JSAPI"); // 或者 "NATIVE", "APP" 等
        return wxPayService.unifiedOrder(request);
    }

//    public WxPayApplymentForSubCreateResult registerSubMerchant(WxPayApplymentForSubCreateRequest request) throws WxPayException {
//        // 调用wxPayService的方法执行API调用
//        return wxPayService.createApplymentForSub(request);
//    }
}